Package com.sas.services.security

# Interface RemoteNameCallbackInterface

All Superinterfaces:
  `Callback`, `Remote`, `RemoteCallbackInterface`

All Known Implementing Classes:
  `RemoteNameCallback`

public interface RemoteNameCallbackInterface extends RemoteCallbackInterface
Interface for a remote version of the NameCallback defined in the javax.security.auth.callback package.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultName()`
  Get the default name for this callback.
  `String`
  `getName()`
  Get the name that was set by the callback handler, hopefully provided by the user.
  `String`
  `getPrompt()`
  Get the prompt string to use when asking for the name.
  `void`
  `setName(String name)`
  Set the name provided by the user.

- ## Method Details

  - ### getDefaultName

    String getDefaultName() throws RemoteException
    Get the default name for this callback. This is set in the constructor.

    Returns:
      The default name for this callback, or null if none was provided.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getPrompt

    String getPrompt() throws RemoteException
    Get the prompt string to use when asking for the name.

    Returns:
      The prompt string, or null if none was set by the constructor.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getName

    String getName() throws RemoteException
    Get the name that was set by the callback handler, hopefully provided by the user.

    Returns:
      The name set by the callback handler, or null if none was entered.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### setName

    void setName(String name) throws RemoteException
    Set the name provided by the user. This method is called by the callback handler.

    Parameters:
      `name` - The name provided by the user to authenticate.
    Throws:
      `RemoteException` - in the event of remote object failure.